title: AlphaESS
type: sections
icon: mdi:solar-power-variant
max_columns: 4
sections:
  - type: grid
    cards:
      - type: entities
        entities:
          - entity: sensor.alphaess_charging_time_period_control
            name: Charging Time Period Control
          - entity: input_number.alphaess_helper_charging_cutoff_soc
            name: Charging Cutoff SoC
          - entity: sensor.alphaess_charging_cutoff_soc
            name: Charging Cutoff SoC
          - entity: input_number.alphaess_helper_discharging_cutoff_soc
            name: Discharging Cutoff SoC
          - entity: sensor.alphaess_discharging_cutoff_soc
            name: Discharging Cutoff SoC
          - type: divider
          - entity: sensor.alphaess_charging_period_1
            name: Charging Period 1
          - entity: sensor.alphaess_charging_period_2
            name: Charging Period 2
          - entity: sensor.alphaess_discharging_period_1
            name: Discharging Period 1
          - entity: sensor.alphaess_discharging_period_2
            name: Discharging Period 2
          - type: divider
          - entity: input_button.alphaess_helper_charging_now
            name: Charging Now 5kW/2h/100% SoC
          - entity: timer.alphaess_helper_charging_now_timer
            name: Charging Now Timer
          - entity: input_select.alphaess_helper_charging_discharging_settings
            name: Charging / Discharging Settings
        title: Charging
      - title: Charging Settings
        type: entities
        entities:
          - type: section
            label: Charging Period 1
          - entity: input_datetime.alphaess_helper_charging_period_1_start
            name: Charging Period 1 Start
          - entity: input_datetime.alphaess_helper_charging_period_1_stop
            name: Charging Period 1 Stop
          - type: section
            label: Charging Period 2
          - entity: input_datetime.alphaess_helper_charging_period_2_start
            name: Charging Period 2 Start
          - entity: input_datetime.alphaess_helper_charging_period_2_stop
            name: Charging Period 2 Stop
        visibility:
          - condition: or
            conditions:
              - condition: state
                entity: input_select.alphaess_helper_charging_discharging_settings
                state: Enable Grid Charging Battery
              - condition: state
                entity: input_select.alphaess_helper_charging_discharging_settings
                state: Enable Grid Charging Battery & Battery Discharge Time Control
      - title: Discharging Settings
        type: entities
        entities:
          - type: section
            label: Discharging Period 1
          - entity: input_datetime.alphaess_helper_discharging_period_1_start
            name: Discharging Period 1 Start
          - entity: input_datetime.alphaess_helper_discharging_period_1_stop
            name: Discharging Period 1 Stop
          - type: section
            label: Discharging Period 2
          - entity: input_datetime.alphaess_helper_discharging_period_2_start
            name: Discharging Period 2 Start
          - entity: input_datetime.alphaess_helper_discharging_period_2_stop
            name: Discharging Period 2 Stop
        visibility:
          - condition: or
            conditions:
              - condition: state
                entity: input_select.alphaess_helper_charging_discharging_settings
                state: Enable Battery Discharge Time Control
              - condition: state
                entity: input_select.alphaess_helper_charging_discharging_settings
                state: Enable Grid Charging Battery & Battery Discharge Time Control
    column_span: 1
  - type: grid
    cards:
      - type: entities
        entities:
          - entity: sensor.alphaess_ct_rate_grid_meter
            name: CT Rate Grid Meter
          - entity: sensor.alphaess_inverter_grid_frequency
            name: Inverter Grid Frequency
          - entity: input_number.alphaess_helper_max_feed_to_grid
            name: Max Feed To Grid
          - entity: sensor.alphaess_max_feed_to_grid
            name: Max Feed to Grid
          - entity: sensor.alphaess_power_phase_a_grid
            name: Power Phase A Grid
          - entity: sensor.alphaess_power_phase_b_grid
            name: Power Phase B Grid
          - entity: sensor.alphaess_power_phase_c_grid
            name: Power Phase C Grid
          - entity: sensor.alphaess_voltage_phase_a_grid
            name: Voltage Phase A Grid
          - entity: sensor.alphaess_voltage_phase_b_grid
            name: Voltage Phase B Grid
          - entity: sensor.alphaess_voltage_phase_c_grid
            name: Voltage Phase C Grid
          - entity: sensor.alphaess_power_grid
            name: Power Grid
        title: Grid
      - type: entities
        entities:
          - entity: sensor.alphaess_current_pv_production
            name: Current PV Production
          - type: divider
          - entity: sensor.alphaess_pv1_power
            name: PV1 Power
          - entity: sensor.alphaess_pv1_voltage
            name: PV1 Voltage
          - entity: sensor.alphaess_pv1_current
            name: PV1 Current
          - type: divider
          - entity: sensor.alphaess_pv2_power
            name: PV2 Power
          - entity: sensor.alphaess_pv2_voltage
            name: PV2 Voltage
          - entity: sensor.alphaess_pv2_current
            name: PV2 Current
          - type: divider
          - entity: sensor.alphaess_pv3_power
            name: PV3 Power
          - type: divider
          - entity: sensor.alphaess_pv4_power
            name: PV4 Power
        title: PV Input
  - type: grid
    cards:
      - type: entities
        entities:
          - entity: sensor.alphaess_today_s_energy_from_pv
            name: Today's Energy From PV
          - entity: sensor.alphaess_today_s_energy_consumption_from_grid_meter
            name: Today's Energy Consumption from Grid (Meter)
          - entity: sensor.alphaess_today_s_energy_feed_to_grid_meter
            name: Today's Energy Feed to Grid (Meter)
          - entity: sensor.alphaess_today_s_energy_charge_battery
            name: Today's Energy Charge Battery
          - entity: sensor.alphaess_today_s_energy_discharge_battery
            name: Today's Energy Discharge Battery
          - entity: sensor.alphaess_today_s_house_load
            name: Today's House Load
        title: Today
      - type: entities
        entities:
          - entity: sensor.alphaess_total_energy_from_pv
            name: Total Energy from PV
          - entity: sensor.alphaess_total_energy_consumption_from_grid_meter
            name: Total Energy Consumption from Grid (Meter)
          - entity: sensor.alphaess_total_energy_feed_to_grid_meter
            name: Total Energy Feed to Grid (Meter)
          - entity: sensor.alphaess_total_energy_charge_battery
            name: Total Energy Charge Battery
          - entity: sensor.alphaess_total_energy_charge_battery_from_grid
            name: Total Energy Charge Battery from Grid
          - entity: sensor.alphaess_total_energy_discharge_battery
            name: Total Energy Discharge Battery
          - entity: sensor.alphaess_total_house_load
            name: Total House Load
          - entity: sensor.alphaess_total_energy_feed_to_grid_pv
            name: Total Energy Feed to Grid (PV)
        title: Total
      - type: entities
        entities:
          - entity: input_button.alphaess_helper_force_discharge
            name: Force Discharge 5kW/3.5h/20% SoC
          - entity: input_button.alphaess_helper_throttle_charge
            name: Throttle Charge 2kW/2h/100% SoC
          - entity: input_button.alphaess_helper_load_following
            name: Load Following 1h
          - entity: input_button.alphaess_helper_dispatch_reset
            name: Dispatch Reset
          - entity: input_boolean.alphaess_helper_excess_export
            name: Excess Export
          - entity: input_boolean.alphaess_helper_excess_export_pause
            name: Excess Export Pause
          - entity: sensor.alphaess_excess_power
            name: Excess Power
          - type: divider
          - entity: sensor.alphaess_dispatch_start
            name: Dispatch Start
          - entity: sensor.alphaess_dispatch_active_power
            name: Dispatch Active Power
          - entity: sensor.alphaess_dispatch_mode
            name: Dispatch Mode
          - entity: sensor.alphaess_dispatch_soc
            name: Dispatch SoC
          - entity: sensor.alphaess_dispatch_time
            name: Dispatch Time
        title: Dispatch
        show_header_toggle: false
  - type: grid
    cards:
      - type: entities
        entities:
          - entity: sensor.alphaess_battery_max_cell_temp
            name: Battery Max Cell Temp
          - entity: sensor.alphaess_battery_min_cell_temp
            name: Battery Min Cell Temp
          - entity: sensor.alphaess_battery_max_charge_current
            name: Battery Max Charge Current
          - entity: sensor.alphaess_battery_max_discharge_current
            name: Battery Max Discharge Current
          - entity: sensor.alphaess_soh_battery
            name: SoH Battery
          - entity: sensor.alphaess_battery_remaining_time
            name: Battery Remaining Time
          - entity: sensor.alphaess_battery_voltage
            name: Battery Voltage
          - entity: sensor.alphaess_pv_capacity_storage
            name: PV Capacity Storage
          - entity: sensor.alphaess_pv_capacity_of_grid_inverter
            name: PV Capacity of Grid Inverter
          - entity: sensor.alphaess_active_power_pv_meter
            name: Active Power PV Meter
          - entity: sensor.alphaess_ct_rate_pv_meter
            name: CT Rate PV Meter
          - entity: sensor.alphaess_current_house_load
            name: Current House Load
          - entity: sensor.alphaess_inverter_temperature
            name: Inverter Temperature
          - entity: sensor.alphaess_soc_battery
            name: SoC Battery
          - entity: sensor.alphaess_power_battery
            name: Power Battery
          - entity: sensor.alphaess_power_inverter
            name: Power Inverter
          - entity: sensor.alphaess_backup_power_inverter
            name: Backup Power Inverter
          - entity: sensor.alphaess_inverter_work_mode
            name: Inverter Work Mode
          - entity: sensor.alphaess_system_date
            name: System Date
          - entity: sensor.alphaess_system_time
            name: System Time
          - entity: sensor.alphaess_bms_version_normalised
            name: BMS Version
          - entity: sensor.alphaess_ems_version_normalised
            name: EMS Version
          - entity: sensor.alphaess_lmu_version
            name: LMU Version
          - entity: sensor.alphaess_iso_version
            name: ISO Version
          - entity: sensor.alphaess_inverter_version
            name: Inverter Version
          - entity: sensor.alphaess_inverter_arm_version
            name: Inverter ARM Version
        title: Other
cards: []
path: alphaess
